Avro C#

Public Member Functions | Properties | List of all members
Avro.Specific.ISpecificProtocol Interface Reference

Defines the interface for a class that implements a specific protocol. TODO: This interface needs better documentation. More...

## Public Member Functions
void | Request (ICallbackRequestor requestor, string messageName, object[] args, object callback)
| Execute a request. More...

## Properties
Protocol | Protocol`[get]`
| Protocol for this instance. More...

## Detailed Description

Defines the interface for a class that implements a specific protocol. TODO: This interface needs better documentation.

## Member Function Documentation

## ◆ Request()

void Avro.Specific.ISpecificProtocol.Request | ( | ICallbackRequestor | requestor,
|  | string | messageName,
|  | object[] | args,
|  | object | callback
| ) |  |

Execute a request.

Parameters

  requestor | Callback requestor.
  messageName | Name of the message.
  args | Arguments for the message.
  callback | Callback.

## Property Documentation

## ◆ Protocol

Protocol Avro.Specific.ISpecificProtocol.Protocol
| get

Protocol for this instance.

The documentation for this interface was generated from the following file:

- src/apache/main/Specific/SpecificProtocol.cs